For AI agents: visit https://docs.gupshup.io/llms.txt for an index of all pages formatted in Markdown and endpoints in OpenAPI. Append .md to any documentation page URL to get its markdown version.
Send Single Product Message Request
curl --location --request POST 'https://api.gupshup.io/wa/api/v1/msg' \
--header 'apikey: {{api_key}}' \
--header 'content-type: application/x-www-form-urlencoded' \
--data-urlencode 'channel=whatsapp' \
--data-urlencode 'source={{source_number}}' \
--data-urlencode 'destination={{destination_number}}' \
--data-urlencode 'message= {
"type": "product_details",
"subType": "product",
"catalogId": "{{catalog_id}}",
"productId": "{{product_id}}",
"body": {
"text":"body content!"
},
"footer": {
"text":"footer content!"
}
}' \
--data-urlencode 'src.name=LiveAccessApp' \
CAPI
{
"messaging_product": "whatsapp",
"recipient_type": "individual",
"to": "PHONE_NUMBER",
"type": "interactive",
"interactive": {
"type": "product",
"body": {
"text": "optional body text"
},
"footer": {
"text": "optional footer text"
},
"action": {
"catalog_id": "CATALOG_ID",
"product_retailer_id": "ID_TEST_ITEM_1"
}
}
}
On-Premise
{
"recipient_type": "individual",
"to" : "{{Recipient-WA-ID}}",
"type": "interactive",
"interactive": {
"type": "product",
"body": {
"text": "body text"
},
"footer": {
"text": "footer text"
},
"action": {
"catalog_id": "catalog-ID",
"product_retailer_id": "product-ID"
}
}
}
Status Code Response Comment Success 200 {
"status": "submitted",
"messageId": "4bed9a90-9f7a-4584-be5b-8ee1cba61a01"
} Error 401 {
"message": {
"message": "Authentication Failed"
},
"status": "error"
} When APIKey authentication fails or apikey is not sent
Key Description Constraints apikey Apikey of the account where the app is to be created Should be a valid gupshup.io apikey source Source Phone Number src.name Source App Name destination Destination phone number message Catalog message payload channel Channel to send messages to - Must be whatsapp
Key Description Constraints type Message type Should be product_details for product messages sub_type Message Sub Type Should be product_details for product messages body Message Body content footer Message Footer content Optional catalogId Id of catalog to use the product from Should be a valid catalog id from the catalog connected to Waba productId Id of product to be used Should be a valid product id from the catalog connected to Waba